Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class OfferOutVATRows
    Inherits BaseObject
    Private _OfferOutHeader As OfferOutHeader
    Private _VAT As VAT
    Private _AmountNettoHUF As Double
    Private _AmountVATHUF As Double
    Private _AmountBruttoHUF As Double
    Private _AmountNettoDEV As Double
    Private _AmountVATDEV As Double
    Private _AmountBruttoDEV As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub
    <Association("OfferOutHeader-OfferOutVATRows", GetType(OfferOutHeader))> _
    Property OfferOutHeader As OfferOutHeader
        Get
            Return _OfferOutHeader
        End Get
        Set(value As OfferOutHeader)
            SetPropertyValue("OfferOutHeader", _OfferOutHeader, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    Property AmountNettoHUF As Double
        Get
            Return _AmountNettoHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountNettoHUF", _AmountNettoHUF, value)
        End Set
    End Property
    Property AmountVATHUF As Double
        Get
            Return _AmountVATHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATHUF", _AmountVATHUF, value)
        End Set
    End Property
    Property AmountBruttoHUF As Double
        Get
            Return _AmountBruttoHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountBruttoHUF", _AmountBruttoHUF, value)
        End Set
    End Property
    Property AmountNettoDEV As Double
        Get
            Return _AmountNettoDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountNettoDEV", _AmountNettoDEV, value)
        End Set
    End Property
    Property AmountVATDEV As Double
        Get
            Return _AmountVATDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATDEV", _AmountVATDEV, value)
        End Set
    End Property
    Property AmountBruttoDEV As Double
        Get
            Return _AmountBruttoDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountBruttoDEV", _AmountBruttoDEV, value)
        End Set
    End Property
End Class
